Changeset 2977


Ignore:
Timestamp:
Oct 15, 2013 12:07:29 PM (6 years ago)
Author:
tkr
Message:

Re-running the autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/FilterSQP/releases/1.2.4/configure

    r2919 r2977  
    10791079  --enable-debug-filtersqp
    10801080                          compile project FilterSQP with debug compiler flags
    1081   --enable-doscompile     Under Cygwin, compile so that executables run under
    1082                           DOS. Set to mingw to use gcc/g++/ld with
    1083                           -mno-cygwin. Set to msvc to use cl/link (or
    1084                           icl/link). Default when mentioned: mingw. Default
    1085                           when not mentioned: disabled.
     1081
     1082  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10861083  --disable-pkg-config    disable use of pkg-config (if available)
    10871084  --disable-dependency-tracking  speeds up one-time build
     
    18741871
    18751872# Get the name of the Fortran compiler and appropriate compiler options
    1876 case $build in
     1873
     1874
     1875  # for backward compatibility
     1876  # Check whether --enable-doscompile or --disable-doscompile was given.
     1877if test "${enable_doscompile+set}" = set; then
     1878  enableval="$enable_doscompile"
     1879  enable_doscompile=$enableval
     1880else
     1881  enable_doscompile=no
     1882fi;
     1883
     1884  # Check whether --enable-msvc or --disable-msvc was given.
     1885if test "${enable_msvc+set}" = set; then
     1886  enableval="$enable_msvc"
     1887  enable_msvc=$enableval
     1888else
     1889  enable_msvc=no
     1890     if test "$enable_doscompile" = msvc ; then
     1891       enable_msvc=yes
     1892     elif test "$enable_doscompile" != no ; then
     1893       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1894echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1895   { (exit 1); exit 1; }; }
     1896     fi
     1897
     1898fi;
     1899
     1900  if test "$enable_msvc" = yes; then
     1901    case $build in
     1902      *-cygwin* | *-mingw*) ;;
     1903      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1904echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1905   { (exit 1); exit 1; }; } ;;
     1906    esac
     1907  fi
     1908
     1909
     1910 case $build in
    18771911  *-mingw*)
    18781912    if test "${LD+set}" = set; then :; else
     
    18811915    ;;
    18821916 esac
    1883  case $enable_doscompile in
    1884    msvc)
    1885      if test "x${LD+set}" = xset; then :; else
    1886        LD=link
    1887      fi
    1888      ;;
    1889  esac
    1890 
    1891 
    1892  # Check whether --enable-doscompile or --disable-doscompile was given.
    1893 if test "${enable_doscompile+set}" = set; then
    1894   enableval="$enable_doscompile"
    1895   if test "$enable_doscompile" != no; then
    1896      case $build in
    1897        *-cygwin* | *-mingw*) ;;
    1898        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1899 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    1900    { (exit 1); exit 1; }; } ;;
    1901      esac
     1917 if test $enable_msvc = yes ; then
     1918   if test "x${LD+set}" = xset; then :; else
     1919     LD=link
    19021920   fi
    1903 else
    1904   enable_doscompile=no
    1905 fi;
    1906  case "$enable_doscompile" in
    1907    mingw)
    1908      case $build in
    1909        *-mingw*) enable_doscompile=no ;;
    1910      esac
    1911      ;;
    1912    msvc|no) ;;
    1913    yes) enable_doscompile=mingw ;;
    1914    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1915                     Try configure --help=recursive." >&5
    1916 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1917                     Try configure --help=recursive." >&2;}
    1918    { (exit 1); exit 1; }; }
    1919       ;;
    1920   esac
    1921   if test "$enable_doscompile" != no ; then
    1922     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1923 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1924   fi
     1921 fi
    19251922
    19261923
     
    19651962case $build in
    19661963  *-cygwin* | *-mingw*)
    1967              if test "$enable_doscompile" = msvc ; then
    1968                comps="icl cl"
     1964             if test "$enable_msvc" = yes ; then
     1965               comps="icl cl gcc"
    19691966             else
    1970                comps="gcc cl"
     1967               comps="gcc icl cl"
    19711968             fi ;;
    19721969  *-*-solaris*)
     
    28212818            ;;
    28222819        esac
    2823         case $enable_doscompile in
    2824           mingw)
    2825             CFLAGS="-mno-cygwin"
    2826             cat >conftest.$ac_ext <<_ACEOF
    2827 /* confdefs.h.  */
    2828 _ACEOF
    2829 cat confdefs.h >>conftest.$ac_ext
    2830 cat >>conftest.$ac_ext <<_ACEOF
    2831 /* end confdefs.h.  */
    2832 
    2833 int
    2834 main ()
    2835 {
    2836 int i=0; i++;
    2837   ;
    2838   return 0;
    2839 }
    2840 _ACEOF
    2841 rm -f conftest.$ac_objext conftest$ac_exeext
    2842 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2843   (eval $ac_link) 2>conftest.er1
    2844   ac_status=$?
    2845   grep -v '^ *+' conftest.er1 >conftest.err
    2846   rm -f conftest.er1
    2847   cat conftest.err >&5
    2848   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2849   (exit $ac_status); } &&
    2850          { ac_try='test -z "$ac_c_werror_flag"
    2851                          || test ! -s conftest.err'
    2852   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2853   (eval $ac_try) 2>&5
    2854   ac_status=$?
    2855   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2856   (exit $ac_status); }; } &&
    2857          { ac_try='test -s conftest$ac_exeext'
    2858   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2859   (eval $ac_try) 2>&5
    2860   ac_status=$?
    2861   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2862   (exit $ac_status); }; }; then
    2863   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2864 else
    2865   echo "$as_me: failed program was:" >&5
    2866 sed 's/^/| /' conftest.$ac_ext >&5
    2867 
    2868 fi
    2869 rm -f conftest.err conftest.$ac_objext \
    2870       conftest$ac_exeext conftest.$ac_ext
    2871             CFLAGS=
    2872           ;;
    2873         esac
    28742820    esac
    28752821  fi
     
    32123158  clang* ) ;;
    32133159  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3214     case $build in
     3160
     3161 case $build in
    32153162  *-mingw*)
    32163163    if test "${LD+set}" = set; then :; else
     
    32193166    ;;
    32203167 esac
    3221  case $enable_doscompile in
    3222    msvc)
    3223      if test "x${LD+set}" = xset; then :; else
    3224        LD=link
    3225      fi
    3226      ;;
    3227  esac
     3168 if test $enable_msvc = yes ; then
     3169   if test "x${LD+set}" = xset; then :; else
     3170     LD=link
     3171   fi
     3172 fi
    32283173
    32293174    ;;
     
    32393184case $build in
    32403185  *-cygwin* | *-mingw*)
    3241      if test "$enable_doscompile" = msvc ; then
    3242        coin_f77_comps="ifort fl32 compile_f2c"
     3186     if test "$enable_msvc" = yes ; then
     3187       coin_f77_comps="ifort fl32 compile_f2c gfortran g95 g77"
    32433188     else
    32443189       coin_f77_comps="gfortran ifort g95 g77 fl32 compile_f2c"
     
    34653410
    34663411# Provide some information about the compiler.
    3467 echo "$as_me:3467:" \
     3412echo "$as_me:3412:" \
    34683413     "checking for Fortran 77 compiler version" >&5
    34693414ac_compiler=`set X $ac_compile; echo $2`
     
    36343579    coin_add_fflags="-pipe"
    36353580    coin_dbg_fflags="-g -O0"
    3636     case $enable_doscompile in
    3637       mingw)
    3638         FFLAGS="-mno-cygwin"
    3639         cat >conftest.$ac_ext <<_ACEOF
    3640       program main
    3641       write(*,*) 'Hello world'
    3642       end
    3643 _ACEOF
    3644 rm -f conftest.$ac_objext conftest$ac_exeext
    3645 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3646   (eval $ac_link) 2>conftest.er1
    3647   ac_status=$?
    3648   grep -v '^ *+' conftest.er1 >conftest.err
    3649   rm -f conftest.er1
    3650   cat conftest.err >&5
    3651   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3652   (exit $ac_status); } &&
    3653          { ac_try='test -z "$ac_f77_werror_flag"
    3654                          || test ! -s conftest.err'
    3655   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3656   (eval $ac_try) 2>&5
    3657   ac_status=$?
    3658   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3659   (exit $ac_status); }; } &&
    3660          { ac_try='test -s conftest$ac_exeext'
    3661   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3662   (eval $ac_try) 2>&5
    3663   ac_status=$?
    3664   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3665   (exit $ac_status); }; }; then
    3666   coin_add_fflags="-mno-cygwin $coin_add_fflags"
    3667 else
    3668   echo "$as_me: failed program was:" >&5
    3669 sed 's/^/| /' conftest.$ac_ext >&5
    3670 
    3671 fi
    3672 rm -f conftest.err conftest.$ac_objext \
    3673       conftest$ac_exeext conftest.$ac_ext
    3674         FFLAGS=
    3675       ;;
    3676     esac
    36773581  else
    36783582    case $build in
     
    39663870case "$F77" in
    39673871  ifort* | */ifort* | IFORT* | */IFORT*)
    3968     case $build in
     3872
     3873 case $build in
    39693874  *-mingw*)
    39703875    if test "${LD+set}" = set; then :; else
     
    39733878    ;;
    39743879 esac
    3975  case $enable_doscompile in
    3976    msvc)
    3977      if test "x${LD+set}" = xset; then :; else
    3978        LD=link
    3979      fi
    3980      ;;
    3981  esac
     3880 if test $enable_msvc = yes ; then
     3881   if test "x${LD+set}" = xset; then :; else
     3882     LD=link
     3883   fi
     3884 fi
    39823885
    39833886    ;;
     
    40463949ac_save_FFLAGS=$FFLAGS
    40473950FFLAGS="$FFLAGS $ac_verb"
    4048 (eval echo $as_me:4048: \"$ac_link\") >&5
     3951(eval echo $as_me:3951: \"$ac_link\") >&5
    40493952ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    40503953echo "$ac_f77_v_output" >&5
     
    41244027ac_save_FFLAGS=$FFLAGS
    41254028FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4126 (eval echo $as_me:4126: \"$ac_link\") >&5
     4029(eval echo $as_me:4029: \"$ac_link\") >&5
    41274030ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    41284031echo "$ac_f77_v_output" >&5
     
    73957298*-*-irix6*)
    73967299  # Find out which ABI we are using.
    7397   echo '#line 7397 "configure"' > conftest.$ac_ext
     7300  echo '#line 7300 "configure"' > conftest.$ac_ext
    73987301  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    73997302  (eval $ac_compile) 2>&5
     
    99819884   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    99829885   -e 's:$: $lt_compiler_flag:'`
    9983    (eval echo "\"\$as_me:9983: $lt_compile\"" >&5)
     9886   (eval echo "\"\$as_me:9886: $lt_compile\"" >&5)
    99849887   (eval "$lt_compile" 2>conftest.err)
    99859888   ac_status=$?
    99869889   cat conftest.err >&5
    9987    echo "$as_me:9987: \$? = $ac_status" >&5
     9890   echo "$as_me:9890: \$? = $ac_status" >&5
    99889891   if (exit $ac_status) && test -s "$ac_outfile"; then
    99899892     # The compiler can only warn and ignore the option if not recognized
     
    1024910152   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1025010153   -e 's:$: $lt_compiler_flag:'`
    10251    (eval echo "\"\$as_me:10251: $lt_compile\"" >&5)
     10154   (eval echo "\"\$as_me:10154: $lt_compile\"" >&5)
    1025210155   (eval "$lt_compile" 2>conftest.err)
    1025310156   ac_status=$?
    1025410157   cat conftest.err >&5
    10255    echo "$as_me:10255: \$? = $ac_status" >&5
     10158   echo "$as_me:10158: \$? = $ac_status" >&5
    1025610159   if (exit $ac_status) && test -s "$ac_outfile"; then
    1025710160     # The compiler can only warn and ignore the option if not recognized
     
    1035310256   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1035410257   -e 's:$: $lt_compiler_flag:'`
    10355    (eval echo "\"\$as_me:10355: $lt_compile\"" >&5)
     10258   (eval echo "\"\$as_me:10258: $lt_compile\"" >&5)
    1035610259   (eval "$lt_compile" 2>out/conftest.err)
    1035710260   ac_status=$?
    1035810261   cat out/conftest.err >&5
    10359    echo "$as_me:10359: \$? = $ac_status" >&5
     10262   echo "$as_me:10262: \$? = $ac_status" >&5
    1036010263   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1036110264   then
     
    1277012673  lt_status=$lt_dlunknown
    1277112674  cat > conftest.$ac_ext <<EOF
    12772 #line 12772 "configure"
     12675#line 12675 "configure"
    1277312676#include "confdefs.h"
    1277412677
     
    1287012773  lt_status=$lt_dlunknown
    1287112774  cat > conftest.$ac_ext <<EOF
    12872 #line 12872 "configure"
     12775#line 12775 "configure"
    1287312776#include "confdefs.h"
    1287412777
     
    1523015133   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1523115134   -e 's:$: $lt_compiler_flag:'`
    15232    (eval echo "\"\$as_me:15232: $lt_compile\"" >&5)
     15135   (eval echo "\"\$as_me:15135: $lt_compile\"" >&5)
    1523315136   (eval "$lt_compile" 2>conftest.err)
    1523415137   ac_status=$?
    1523515138   cat conftest.err >&5
    15236    echo "$as_me:15236: \$? = $ac_status" >&5
     15139   echo "$as_me:15139: \$? = $ac_status" >&5
    1523715140   if (exit $ac_status) && test -s "$ac_outfile"; then
    1523815141     # The compiler can only warn and ignore the option if not recognized
     
    1533415237   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1533515238   -e 's:$: $lt_compiler_flag:'`
    15336    (eval echo "\"\$as_me:15336: $lt_compile\"" >&5)
     15239   (eval echo "\"\$as_me:15239: $lt_compile\"" >&5)
    1533715240   (eval "$lt_compile" 2>out/conftest.err)
    1533815241   ac_status=$?
    1533915242   cat out/conftest.err >&5
    15340    echo "$as_me:15340: \$? = $ac_status" >&5
     15243   echo "$as_me:15243: \$? = $ac_status" >&5
    1534115244   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1534215245   then
     
    1690416807   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1690516808   -e 's:$: $lt_compiler_flag:'`
    16906    (eval echo "\"\$as_me:16906: $lt_compile\"" >&5)
     16809   (eval echo "\"\$as_me:16809: $lt_compile\"" >&5)
    1690716810   (eval "$lt_compile" 2>conftest.err)
    1690816811   ac_status=$?
    1690916812   cat conftest.err >&5
    16910    echo "$as_me:16910: \$? = $ac_status" >&5
     16813   echo "$as_me:16813: \$? = $ac_status" >&5
    1691116814   if (exit $ac_status) && test -s "$ac_outfile"; then
    1691216815     # The compiler can only warn and ignore the option if not recognized
     
    1700816911   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1700916912   -e 's:$: $lt_compiler_flag:'`
    17010    (eval echo "\"\$as_me:17010: $lt_compile\"" >&5)
     16913   (eval echo "\"\$as_me:16913: $lt_compile\"" >&5)
    1701116914   (eval "$lt_compile" 2>out/conftest.err)
    1701216915   ac_status=$?
    1701316916   cat out/conftest.err >&5
    17014    echo "$as_me:17014: \$? = $ac_status" >&5
     16917   echo "$as_me:16917: \$? = $ac_status" >&5
    1701516918   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1701616919   then
     
    1921519118   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1921619119   -e 's:$: $lt_compiler_flag:'`
    19217    (eval echo "\"\$as_me:19217: $lt_compile\"" >&5)
     19120   (eval echo "\"\$as_me:19120: $lt_compile\"" >&5)
    1921819121   (eval "$lt_compile" 2>conftest.err)
    1921919122   ac_status=$?
    1922019123   cat conftest.err >&5
    19221    echo "$as_me:19221: \$? = $ac_status" >&5
     19124   echo "$as_me:19124: \$? = $ac_status" >&5
    1922219125   if (exit $ac_status) && test -s "$ac_outfile"; then
    1922319126     # The compiler can only warn and ignore the option if not recognized
     
    1948319386   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1948419387   -e 's:$: $lt_compiler_flag:'`
    19485    (eval echo "\"\$as_me:19485: $lt_compile\"" >&5)
     19388   (eval echo "\"\$as_me:19388: $lt_compile\"" >&5)
    1948619389   (eval "$lt_compile" 2>conftest.err)
    1948719390   ac_status=$?
    1948819391   cat conftest.err >&5
    19489    echo "$as_me:19489: \$? = $ac_status" >&5
     19392   echo "$as_me:19392: \$? = $ac_status" >&5
    1949019393   if (exit $ac_status) && test -s "$ac_outfile"; then
    1949119394     # The compiler can only warn and ignore the option if not recognized
     
    1958719490   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1958819491   -e 's:$: $lt_compiler_flag:'`
    19589    (eval echo "\"\$as_me:19589: $lt_compile\"" >&5)
     19492   (eval echo "\"\$as_me:19492: $lt_compile\"" >&5)
    1959019493   (eval "$lt_compile" 2>out/conftest.err)
    1959119494   ac_status=$?
    1959219495   cat out/conftest.err >&5
    19593    echo "$as_me:19593: \$? = $ac_status" >&5
     19496   echo "$as_me:19496: \$? = $ac_status" >&5
    1959419497   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1959519498   then
     
    2252122424echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2252222425coin_link_input_cmd="$LN_S"
    22523 if test "$enable_doscompile" = mingw; then
    22524   coin_link_input_cmd=cp
    22525 fi
    2252622426case "$CC" in
    2252722427  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.